Skip to main content
`Ctrl`+`K`

# BVInsertVecs

Insert a set of vectors into the specified columns.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVInsertVecs(BV V,PetscInt s,PetscInt *m,Vec W[],PetscBool orth)

Collective

## Input Parameters

- V - basis vectors

- s - first column of `V` to be overwritten

- W - array of vectors to be copied

- orth - flag indicating if the vectors must be orthogonalized

## Input/Output Parameter

- m - number of input vectors, on output the number of linearly independent vectors

## Notes

Copies the contents of vectors `W` to `V(:,s:s+n)`. If the orthogonalization flag is set, then the vectors are copied one by one and then orthogonalized against the previous ones. If any of them is linearly dependent then it is discarded and the value of `m` is decreased.

## See Also

BV: Basis Vectors, `BVInsertVec()`, `BVOrthogonalizeColumn()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages